# XQilla Simple API Documentation

# xercesc::XMLFormatTarget Class Reference

`#include <XMLFormatter.hpp>`

Inheritance diagram for xercesc::XMLFormatTarget:
[legend]

List of all members.

## Public Member Functions

virtual | ~XMLFormatTarget ()
virtual void | writeChars (const XMLByte *const toWrite, const XMLSize_t count, XMLFormatter *const formatter)=0
virtual void | flush ()

## Protected Member Functions

| XMLFormatTarget ()

## Constructor & Destructor Documentation

virtual xercesc::XMLFormatTarget::~XMLFormatTarget | ( |  | ) | `[inline, virtual]`

xercesc::XMLFormatTarget::XMLFormatTarget | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual void xercesc::XMLFormatTarget::flush | ( |  | ) | `[inline, virtual]`

Reimplemented in xercesc::LocalFileFormatTarget, and xercesc::StdOutFormatTarget.

virtual void xercesc::XMLFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const XMLSize_t | count,
|  | XMLFormatter *const | formatter |
| ) |  |  | `[pure virtual]`

Implemented in xercesc::LocalFileFormatTarget, xercesc::MemBufFormatTarget, and xercesc::StdOutFormatTarget.

The documentation for this class was generated from the following file:

- XMLFormatter.hpp